<div class="flex flex-row w-full h-auto justify-center">
    <div class="max-w-[360px] w-full flex flex-col mx-auto">
        <img class="w-full lg:w-1/3 max-w-[100px] mx-auto mt-12 h-auto" src="assets/img/logo_ceneval_aqua.png"/>
        <div class=" mx-auto text-primary text-4xl font-bold my-6">
            {{ 'etiquetas.ingrese_sistema' | translate }}
        </div>
        <emeth-alerts></emeth-alerts>
        <form (ngSubmit)="submit()" [formGroup]="form">
            <div class="flex flex-col w-auto w-full">
                <input emethInput [placeholder]="'etiquetas.correo_electronico' | translate"
                       class="input input-sm input-primary mt-2" formControlName="login"
                       type="email"/>
                <emeth-form-alert *ngIf="login?.invalid && login?.touched" type="error">
                    <div *ngIf="login?.hasError('required')">
                        {{ 'mensajes.campo_obligatorio' | translate }}
                    </div>
                    <div *ngIf="login?.hasError('email')">
                        {{ 'mensajes.correo_invalido' | translate }}
                    </div>
                </emeth-form-alert>
            </div>
            <div class="flex flex-col w-full">
                <div class="input-group input-group-sm mt-2">
                    <input emethInput #pwd [placeholder]="'etiquetas.contrasenia' | translate"
                           class="input w-full input-primary input-sm " formControlName="password"
                           type="password"/>
                    <span (click)="pwd.type === 'text' ? pwd.type = 'password' : pwd.type = 'text'"
                          class="cursor-pointer ">
                        <mat-icon color="primary">{{pwd.type === 'text' ? 'visibility_off' : 'visibility'}}</mat-icon>
                    </span>
                </div>
                <emeth-form-alert *ngIf="password?.invalid && password?.touched" type="error">
                    <div *ngIf="password?.hasError('required')">
                        {{ 'mensajes.campo_obligatorio' | translate }}
                    </div>
                </emeth-form-alert>
            </div>

            <div class="text-center my-6 justify-center flex flex-col " appGapLabelInput>
                <button [disabled]="isLoading" class="w-full" color="primary" mat-flat-button type="submit">
                    {{ 'etiquetas.ingresar' | translate }}
                </button>
                <!-- <button (click)="irRecuperarPassword()" [disabled]="isLoading" class="w-full" color="accent" mat-flat-button
                        type="button">
                    {{ 'etiquetas.recuperarPassword' | translate }}
                </button> -->
            </div>
        </form>

    </div>
</div>
